Loading...
Searching...
No Matches
EliminateBoolVectors.h File Reference

Method to eliminate vectors of booleans from IR. More...

`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Type | Halide::Internal::eliminated_bool_type (Type bool_type, Type other_type)
| If a type is a boolean vector, find the type that it has been changed to by eliminate_bool_vectors.
Stmt | Halide::Internal::eliminate_bool_vectors (const Stmt &s)
| Some targets treat vectors of bools as integers of the same type that the boolean operation is being used to operate on.
Expr | Halide::Internal::eliminate_bool_vectors (const Expr &s)
| Some targets treat vectors of bools as integers of the same type that the boolean operation is being used to operate on.

## Detailed Description

Method to eliminate vectors of booleans from IR.

Definition in file EliminateBoolVectors.h.